// Ciel qui Bouge avec Lumire colore provenant de la Skybox

textures/skyportal_nfor/sky
{
	qer_editorimage textures/skyportal_nfor/sky_nfor.tga
	q3map_lightimage textures/skyportal_nfor/sky_nfor.tga

	// Proprits Soleil 
	sun 0.80 0.40 0.1 150 90 0 
	// [rouge] [vert] [bleu] [intensit] [orientation] [altitude]
	// intensit  100 = assez lumineux
	// orientation de 0 = venant de l'Est, 90 = Nord, etc.  altitude de 0 = lev/coucher, 90 = aprs-midi
	
	// Proprits clairage provenant de la Skybox
	q3map_skyLight 150 5
	// [luminosit] [itration] Grosse luminosit pour Dirtmode ou Fake GI

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip

	// sky_nfor.tga> Ciel en 1024x1024
	// sky_mask.tga> Ciel intgr au brouillard avec une couche alpha
	skyParms textures/skyportal_nfor/env/sky 1337 -
	{
		map textures/skyportal_nfor/sky_nfor.tga
		rgbGen identityLighting
		tcMod scroll 0.0025 -0.0075
	}
	{
		map textures/skyportal_nfor/sky_mask.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbGen identityLighting
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
	}
}
textures/skyportal_nfor/floor_green
{
	q3map_nolightmap
    {
        map textures/skyportal_nfor/floor_green.jpg
        rgbGen lightingDiffuse
    }
    {
        map textures/skyportal_nfor/s_metalc_env.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen identity
        tcGen environment
    }
}

textures/skyportal_nfor/rail_basic
{
	q3map_nolightmap
    {
        map textures/skyportal_nfor/rail_basic.jpg
        rgbGen lightingDiffuse
    }
    {
        map textures/skyportal_nfor/env_large_floor2.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen identity
        tcGen environment
    }
}

textures/skyportal_nfor/cc
{
	qer_trans	0.4
	surfaceparm	nonopaque
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_material	Glass
	deformVertexes autosprite2
	cull	twosided
    {
        map textures/skyportal_nfor/cc 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/skyportal_nfor/kawa
{
	qer_trans	0.4
	surfaceparm	nonopaque
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_material	Glass
	deformVertexes autosprite2
	cull	twosided
    {
        map textures/skyportal_nfor/kawa 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/skyportal_nfor/tisky
{
	qer_trans	0.4
	surfaceparm	nonopaque
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_material	Glass
	deformVertexes autosprite2
	cull	twosided
    {
        map textures/skyportal_nfor/tisky
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/skyportal_nfor/panneau1
{
	q3map_lightimage textures/skyportal_nfor/panneau1_light
	qer_editorimage	textures/skyportal_nfor/panneau1
	qer_trans 0.6
	q3map_surfacelight 500
	q3map_nolightmap
	surfaceparm trans
  	{
        	map textures/skyportal_nfor/panneau1
        	blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.25 0 0.25
	}
	{
		map textures/skyportal_nfor/panneau1_glow3
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave sin 0.75 0.25 0.5 0.25
	}
	{
		map textures/skyportal_nfor/panneau1_glow2.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave sin 0.75 0.25 0.5 0.25
	}
	{
		map textures/skyportal_nfor/panneau1_glow1.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave sawtooth -0.5 2 0 0.5
	}
	{
		map textures/skyportal_nfor/panneau1_glow1.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave inversesawtooth -1 2 0 0.5
		tcMod scroll 0.5 0
	}
	{
		map textures/skyportal_nfor/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.25
	}
	{
		map textures/skyportal_nfor/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.035
	}
}


